namespace e_suite.DependencyInjection;

public interface IFileSystem
{
    bool FileExists(string path);
    void CreateDirectory(string path);
    string[] GetFiles(string path, string searchPattern);
    string ReadAllText(string path);
    void WriteAllText(string path, string contents);
    Stream OpenRead(string path);
}